## ros-melodic-kvh-geo-fog-3d-driver 1.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kvh_geo_fog_3d_driver)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  diagnostic_updater
  dynamic_reconfigure
  geometry_msgs
  kvh_geo_fog_3d_msgs
  message_generation
  nav_msgs
  roscpp
  roslint
  sensor_msgs
  std_msgs
  tf2_ros
)

set(KVH_DRIVER_FILES
  src/kvh_driver/driver_main.cpp
  src/kvh_driver/decode_packets.cpp
  src/kvh_driver/packet_storage.cpp
  src/kvh_driver/kvh_global_vars.cpp
  src/kvh_driver/device_configuration.cpp
)

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a exec_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a exec_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

##
# For this package, message live in the sibling "_msgs" package, so don't add any
# here.
##

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a exec_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
generate_dynamic_reconfigure_options(
  cfg/${PROJECT_NAME}.cfg
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS dynamic_reconfigure geometry_msgs kvh_geo_fog_3d_msgs message_runtime nav_msgs roscpp sensor_msgs std_msgs tf2_ros
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include include/geo_fog_sdk include/rs232
  ${catkin_INCLUDE_DIRS}
)

## Notes on the below:
## I would like to build the sdk as a seperate library, instead of building it 
## in with the ros library. When built seperately, I run into the issue of tcgetattribute
## causing a segmentation fault. There must be some cmake way around this, but I do not 
## know or want to spend time on it right now.
#add_library(geo_fog_sdk
#  geo_fog_sdk/an_packet_protocol.c
#  geo_fog_sdk/spatial_packets.c
#  geo_fog_sdk/rs232/rs232.c 
#)

add_library(${PROJECT_NAME}
  geo_fog_sdk/an_packet_protocol.c
  geo_fog_sdk/rs232/rs232.c
  geo_fog_sdk/spatial_packets.c
  src/kvh_diagnostics_container.cpp
  ${KVH_DRIVER_FILES}
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
add_dependencies(${PROJECT_NAME} 
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
  ${PROJECT_NAME}_gencfg
)

## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
add_executable(${PROJECT_NAME}_node 
  src/kvh_geo_fog_3d_node.cpp
  ${KVH_DRIVER_FILES}
)

## Add cmake target dependencies of the executable
## same as for the library above
add_dependencies(${PROJECT_NAME}_node
  ${PROJECT_NAME}
  ${PROJECT_NAME}_gencfg
)

## Rename C++ executable without prefix
## The above recommended prefix causes long target names, the following renames the
## target back to the shorter version for ease of user use
## e.g. "rosrun someones_pkg node" instead of "rosrun someones_pkg someones_pkg_node"
# set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME node PREFIX "")


### Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}_node
  ${catkin_LIBRARIES}
  ${PROJECT_NAME}
)

# For determine_baud_node.cpp
add_executable(determine_baud_node src/utility/determine_baud_node.cpp)
add_dependencies(determine_baud_node
  ${PROJECT_NAME}
)
target_link_libraries(determine_baud_node
  ${catkin_LIBRARIES}
  ${PROJECT_NAME}
)

## Add cmake target dependencies of the executable
## same as for the library above
#add_dependencies(${PROJECT_NAME}_node
#  ${${PROJECT_NAME}_EXPORTED_TARGETS}
#  ${catkin_EXPORTED_TARGETS}
#  ${PROJECT_NAME}_gencfg
#)

#configure_file(src/config.txt ${CMAKE_CURRENT_BINARY_DIR}/config.txt COPYONLY)
#file(COPY settings DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/flir_adk_driver_node.dir/src)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_node determine_baud_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
## Install our header files into the root include directory
install(DIRECTORY include/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp"
  PATTERN ".svn" EXCLUDE
  )
## Install KVH SDK headers as well
install(DIRECTORY include/geo_fog_sdk
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
  )
## Install RS232 header as well
install(DIRECTORY include/rs232
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)
## Make sure we get everything in launch installed
install(DIRECTORY launch 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## Install our scripts
install(DIRECTORY scripts/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN ".svn" EXCLUDE
  PATTERN ".gitignore" EXCLUDE
)

#############
## Testing ##
#############

## Add roslint target
# Note that roslint requires explicit lists of source/header
# files, which is not ideal. There's an issue open from 2014
# about this (https://github.com/ros/roslint/issues/27)
#
# Ignore ROS's suggestions for:
# * Comment spacing
# * Parentesis whitespace
set(ROSLINT_CPP_OPTS "--filter=-whitespace/comments,-whitespace/parens")
roslint_cpp(
  src/kvh_diagnostics_container.cpp
  src/kvh_geo_fog_3d_node.cpp
  src/kvh_driver/decode_packets.cpp
  src/kvh_driver/device_configuration.cpp
  src/kvh_driver/driver_main.cpp
  src/kvh_driver/kvh_global_vars.cpp
  src/kvh_driver/packet_storage.cpp
  src/utility/determine_baud_node.cpp
  include/kvh_diagnostics_container.hpp
  include/kvh_geo_fog_3d_device_configuration.hpp
  include/kvh_geo_fog_3d_driver.hpp
  include/kvh_geo_fog_3d_global_vars.hpp
  include/kvh_geo_fog_3d_packet_storage.hpp
)

## Add gtest based cpp test target and link libraries
include_directories(
  test/include
  )

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(${PROJECT_NAME}-test 
    test/init_vars.cpp
    test/device_configuration_test.cpp
    test/packet_storage_test.cpp
    test/kvh_driver_test.cpp
    )
endif()
if(TARGET ${PROJECT_NAME}-test)
  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-melodic-kvh-geo-fog-3d-driver (1.3.3-1stretch) stretch; urgency=high

  * No changes to driver

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 21 Jan 2020 05:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.3.2-1stretch) stretch; urgency=high

  * Fixing build bug where driver would fail to build if CATKIN_ENABLE_TESTING was not set to true, due to an errant target_link_libraries line.
  * Contributors: LaCelle, Zachary

 -- Zach LaCelle <zlacelle@mitre.org>  Fri, 17 Jan 2020 05:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.3.1-1stretch) stretch; urgency=high

  * Adding odometer pulsePerMeter as a parameter.
  * Adding the X position calculated from odometery movement to the nav_msgs/Odometry wheel encoder message
  * Contributors: Bostic, Trevor R, LaCelle, Zachary

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 14 Jan 2020 05:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.3.0-1stretch) stretch; urgency=high

  * Fixing bug where we were reporting lat/lon for NavSatFix messages in radians, when ROS asks for them in degrees
  * Fixing missing include
  * Fixing missing find_package
  * Updating packaging and cmakes to conform to catkin_lint
  * Rewrote bounding functions
  * Fixing up some documentation issues that rosdoc_lite found.
  * Fixing spacing to match 2-space indents everywhere. Also fixing a missing break within a switch/case.
  * Adding the GPS transform to the static broadcaster
  * Cleaning up changelog, and adding MITRE's open soure usage email request header to files. Also adding license information to mainpage.dox
  * Added ROS API documentation
  * Adding a rosdoc yaml, and removing the old Doxyfile
  * Removing the yet-unimplemented nodelet classes
  * Adding copyright file headers.
  * Moving license files to be under each package, since theoretically they could be licensed separately.
  * Adding license information.
  * Updating cmakelists to build roslint targets correctly
  * Adding devops scripts
  * Contributors: Bostic, Trevor R, LaCelle, Zachary

 -- Zach LaCelle <zlacelle@mitre.org>  Mon, 02 Dec 2019 05:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.2.0-1stretch) stretch; urgency=high

  * Filter Options and Magnetometer
  * Defaulting to turning off velocity heading, since KVH recommended it for the Dual.
  * Implemented filter options packet configuration.
  * Added navsatfix and imu messages for the raw data to make graphing easier.
  * Fixed some problems with getting raw packets.
  * Added raw gnss and sensor messages to those output by the driver.
  * Fixed launch file syntax and printing error.
  * Added ability to customize initialization options.
  * Set wheel encoder frame_id to base_link.
  * Updated baud setter to have different values for each of the ports.
  * Added odom state message and message publishers to kvh driver node.
  * Added odometer state packet to the kvh driver. Next will be implementing messages.
  * Added utm tests.
  * Fixing packet storage utm problem.
  * Fixed utm struct problem.
  * Fixes for cpp check warnings.
  * Moving and fixing the release script.
  * Contributors: Bostic, Trevor R, LaCelle, Zachary

 -- Zach LaCelle <zlacelle@mitre.org>  Fri, 27 Sep 2019 04:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.1.0-1stretch) stretch; urgency=high

  * Moving msgs into their own package
  * Updating package.xml and CMakeLists.txt to handle the new packaging scheme
  * Fixes of tfs for orientation
  * Various fixes to covariances, especially when we temporarily lose communications
  * Updating the IMU data publishing to match ROS schemes
  * Fixing a bug in the TF for GPS
  * Many frame ID changes
  * Variable baud rates
  * Adding an autobaud node
  * Bug fixes in the UTM and Fix packets
  * More ublox custom messages

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 13 Aug 2019 04:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.0.0-1stretch) stretch; urgency=high

  * Initial release of the ROS KVH GEO FOG 3D driver package, reading basic state and information packets.

 -- Zach LaCelle <zlacelle@mitre.org>  Thu, 25 Apr 2019 04:00:00 -0000

## ros-melodic-kvh-geo-fog-3d-driver 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,14 +19,6 @@
   sensor_msgs
   std_msgs
   tf2_ros
-)
-
-set(KVH_DRIVER_FILES
-  src/kvh_driver/driver_main.cpp
-  src/kvh_driver/decode_packets.cpp
-  src/kvh_driver/packet_storage.cpp
-  src/kvh_driver/kvh_global_vars.cpp
-  src/kvh_driver/device_configuration.cpp
 )
 
 ################################################
@@ -118,14 +110,14 @@
 )
 
 ## Notes on the below:
-## I would like to build the sdk as a seperate library, instead of building it 
+## I would like to build the sdk as a seperate library, instead of building it
 ## in with the ros library. When built seperately, I run into the issue of tcgetattribute
-## causing a segmentation fault. There must be some cmake way around this, but I do not 
+## causing a segmentation fault. There must be some cmake way around this, but I do not
 ## know or want to spend time on it right now.
 #add_library(geo_fog_sdk
 #  geo_fog_sdk/an_packet_protocol.c
 #  geo_fog_sdk/spatial_packets.c
-#  geo_fog_sdk/rs232/rs232.c 
+#  geo_fog_sdk/rs232/rs232.c
 #)
 
 add_library(${PROJECT_NAME}
@@ -133,7 +125,11 @@
   geo_fog_sdk/rs232/rs232.c
   geo_fog_sdk/spatial_packets.c
   src/kvh_diagnostics_container.cpp
-  ${KVH_DRIVER_FILES}
+  src/kvh_driver/driver_main.cpp
+  src/kvh_driver/decode_packets.cpp
+  src/kvh_driver/device_configuration.cpp
+  src/kvh_driver/kvh_global_vars.cpp
+  src/kvh_driver/packet_storage.cpp
 )
 
 ## Specify libraries to link a library or executable target against
@@ -144,7 +140,7 @@
 ## Add cmake target dependencies of the library
 ## as an example, code may need to be generated before libraries
 ## either from message generation or dynamic reconfigure
-add_dependencies(${PROJECT_NAME} 
+add_dependencies(${PROJECT_NAME}
   ${${PROJECT_NAME}_EXPORTED_TARGETS}
   ${catkin_EXPORTED_TARGETS}
   ${PROJECT_NAME}_gencfg
@@ -153,9 +149,9 @@
 ## Declare a C++ executable
 ## With catkin_make all packages are built within a single CMake context
 ## The recommended prefix ensures that target names across packages don't collide
-add_executable(${PROJECT_NAME}_node 
+add_executable(${PROJECT_NAME}_node
   src/kvh_geo_fog_3d_node.cpp
-  ${KVH_DRIVER_FILES}
+  src/packet_publisher.cpp
 )
 
 ## Add cmake target dependencies of the executable
@@ -196,9 +192,6 @@
 #  ${PROJECT_NAME}_gencfg
 #)
 
-#configure_file(src/config.txt ${CMAKE_CURRENT_BINARY_DIR}/config.txt COPYONLY)
-#file(COPY settings DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/flir_adk_driver_node.dir/src)
-
 #############
 ## Install ##
 #############
@@ -206,15 +199,8 @@
 # all install targets should use catkin DESTINATION variables
 # See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html
 
-## Mark executable scripts (Python etc.) for installation
-## in contrast to setup.py, you can choose the destination
-# install(PROGRAMS
-#   scripts/my_python_script
-#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
-# )
-
 ## Mark executables and/or libraries for installation
-install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_node determine_baud_node
+install(TARGETS determine_baud_node ${PROJECT_NAME} ${PROJECT_NAME}_node
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
@@ -238,7 +224,7 @@
   PATTERN ".svn" EXCLUDE
 )
 ## Make sure we get everything in launch installed
-install(DIRECTORY launch 
+install(DIRECTORY launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )
 
@@ -285,7 +271,7 @@
   )
 
 if(CATKIN_ENABLE_TESTING)
-  catkin_add_gtest(${PROJECT_NAME}-test 
+  catkin_add_gtest(${PROJECT_NAME}-test
     test/init_vars.cpp
     test/device_configuration_test.cpp
     test/packet_storage_test.cpp

=== debian/changelog ===
ros-melodic-kvh-geo-fog-3d-driver (1.5.1-1bionic) bionic; urgency=high

  * No changes to driver package.

 -- Zach LaCelle <zlacelle@mitre.org>  Thu, 01 Jul 2021 04:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.5.0-1bionic) bionic; urgency=high

  * Fixing major bug with ENU and FLU roll/pitch.
  * Contributors: Zach LaCelle

 -- Zach LaCelle <zlacelle@mitre.org>  Thu, 01 Jul 2021 04:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.4.0-1bionic) bionic; urgency=high

  * Changing node so that it publishes raw IMU even if it doesn't have euler orientation stddev.
  * Contributors: Zach LaCelle

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 16 Jun 2020 04:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.3.3-1bionic) bionic; urgency=high

  * No changes to driver package.

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 21 Jan 2020 05:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.3.2-1bionic) bionic; urgency=high

  * Fixing build bug where driver would fail to build if CATKIN_ENABLE_TESTING was not set to true, due to an errant target_link_libraries line.
  * Contributors: LaCelle, Zachary

 -- Zach LaCelle <zlacelle@mitre.org>  Fri, 17 Jan 2020 05:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.3.1-1bionic) bionic; urgency=high

  * Adding odometer pulsePerMeter as a parameter.
  * Adding the X position calculated from odometery movement to the nav_msgs/Odometry wheel encoder message
  * Contributors: Bostic, Trevor R, LaCelle, Zachary

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 14 Jan 2020 05:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.3.0-1bionic) bionic; urgency=high

  * Fixing bug where we were reporting lat/lon for NavSatFix messages in radians, when ROS asks for them in degrees
  * Fixing missing include
  * Fixing missing find_package
  * Updating packaging and cmakes to conform to catkin_lint
  * Rewrote bounding functions
  * Fixing up some documentation issues that rosdoc_lite found.
  * Fixing spacing to match 2-space indents everywhere. Also fixing a missing break within a switch/case.
  * Adding the GPS transform to the static broadcaster
  * Cleaning up changelog, and adding MITRE's open soure usage email request header to files. Also adding license information to mainpage.dox
  * Added ROS API documentation
  * Adding a rosdoc yaml, and removing the old Doxyfile
  * Removing the yet-unimplemented nodelet classes
  * Adding copyright file headers.
  * Moving license files to be under each package, since theoretically they could be licensed separately.
  * Adding license information.
  * Updating cmakelists to build roslint targets correctly
  * Adding devops scripts
  * Contributors: Bostic, Trevor R, LaCelle, Zachary

 -- Zach LaCelle <zlacelle@mitre.org>  Mon, 02 Dec 2019 05:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.2.0-1bionic) bionic; urgency=high

  * Filter Options and Magnetometer
  * Defaulting to turning off velocity heading, since KVH recommended it for the Dual.
  * Implemented filter options packet configuration.
  * Added navsatfix and imu messages for the raw data to make graphing easier.
  * Fixed some problems with getting raw packets.
  * Added raw gnss and sensor messages to those output by the driver.
  * Fixed launch file syntax and printing error.
  * Added ability to customize initialization options.
  * Set wheel encoder frame_id to base_link.
  * Updated baud setter to have different values for each of the ports.
  * Added odom state message and message publishers to kvh driver node.
  * Added odometer state packet to the kvh driver. Next will be implementing messages.
  * Added utm tests.
  * Fixing packet storage utm problem.
  * Fixed utm struct problem.
  * Fixes for cpp check warnings.
  * Moving and fixing the release script.
  * Contributors: Bostic, Trevor R, LaCelle, Zachary

 -- Zach LaCelle <zlacelle@mitre.org>  Fri, 27 Sep 2019 04:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.1.0-1bionic) bionic; urgency=high

  * Moving msgs into their own package
  * Updating package.xml and CMakeLists.txt to handle the new packaging scheme
  * Fixes of tfs for orientation
  * Various fixes to covariances, especially when we temporarily lose communications
  * Updating the IMU data publishing to match ROS schemes
  * Fixing a bug in the TF for GPS
  * Many frame ID changes
  * Variable baud rates
  * Adding an autobaud node
  * Bug fixes in the UTM and Fix packets
  * More ublox custom messages

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 13 Aug 2019 04:00:00 -0000

ros-melodic-kvh-geo-fog-3d-driver (1.0.0-1bionic) bionic; urgency=high

  * Initial release of the ROS KVH GEO FOG 3D driver package, reading basic state and information packets.

 -- Zach LaCelle <zlacelle@mitre.org>  Thu, 25 Apr 2019 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-kvh-geo-fog-3d-driver
Section: misc
Priority: optional
Maintainer: Zach LaCelle <zlacelle@mitre.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-kvh-geo-fog-3d-msgs, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rosunit, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-kvh-geo-fog-3d-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-kvh-geo-fog-3d-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2-ros
Description: A ROS driver for the KVH Geo Fog 3D INS family of systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-kvh-geo-fog-3d-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
